Party's over: TLS 1.1 will be discontinued on Maven Central THIS FRIDAY

I know some of you out there might still be using Java 6 or Java 7.

It's ok, I won't tell anyone.

The thing is the folks over at Maven Central are discontinuing support for TLS 1.1 this Friday. Bummer, I know.

You've got 5 options:

  1. Upgrade. Kinda obvious right?
  2. Configure Java to use TLS v1.2 using -Dhttps.protocols=TLSv1.2. Sneaky!
  3. Use a repository manager that uses a Java version supporting TLS 1.2. A bit more effort...
  4. Revert back to http until you can get your shit together. Not very sexy is it.
  5. Upgrade already!

Official FAQ on the change is here: https://central.sonatype.org/articles/2018/May/04/discontinue-support-for-tlsv11-and-below/

Peace.

If this post saved your ass then why don't you:

Buy Me A Coffee

Show Comments